package com.ice.creation.AbstractFactory.factory;

import com.ice.creation.AbstractFactory.product.Chair;
import com.ice.creation.AbstractFactory.product.CoffeeTable;
import com.ice.creation.AbstractFactory.product.Sofa;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-10-13 09:21:52
 */
public interface FurnitureFactory {
    Chair createChair();
    Sofa createSofa();
    CoffeeTable createCoffeeTable();
}
